import { SupportedAlgorithms } from './algorithms';
type ValueOf<T> = T[keyof T];
export type JWTBody<T = any> = Record<string, T>;
export type JWTToken = string;
export type JWTHeader = {
    alg: EncodingOptions['algorithm'];
    typ: string;
};
export type EncodingOptions = {
    algorithm?: ValueOf<SupportedAlgorithms>;
};
export type DecodingOptions = EncodingOptions & {
    exp?: number;
    nbf?: number;
    iat?: number;
    sub?: string;
    iss?: string;
    aud?: string;
    timeSkew?: number;
};
export type EncodingKey = string | null;
export {};
